System.ServiceModel 4.0.0.0 System.Object

Encoding is the process of transforming a message into a sequence of bytes. Decoding is the reverse process.

Use this class if you want to implement a custom message encoder. To implement your own custom message encoder, you must provide custom implementations of the following three abstract base classes:

Override the to return an instance of your custom . Then wire up your custom to the binding element stack used to configure the service or client by overriding the method to return an instance of this factory. For more information about custom encoders, see Custom Encoders.

An abstract base class that represents the factory for producing message encoders that can read messages from a stream and write them to a stream for various types of message encoding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageEncoder

  A session-based message encoder can keep track the individual messages that form part of a conversation that consists of all the messages exchanged between two endpoints that are part of a session.

  Returns a message encoder that can be used to correlate messages in session-based exchanges.

  The that is used in session-based exchanges of messages.

- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageEncoder To be added. To be added.

  When overridden in a derived class, gets the message encoder that is produced by the factory.

- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageVersion To be added.

  The message version can be set using the property. is limited to using certain versions of SOAP and WS-Addressing and is not extensible. So if these versions are not to be used, this property should be overridden to return .

  When overridden in a derived class, gets the message version that is used by the encoders produced by the factory to encode messages.